btllib

Public Types | Public Member Functions | List of all members
btllib::SeqWriter Class Reference

`#include <seq_writer.hpp>`

## Public Types
enum | Format { FASTA, FASTQ }

## Public Member Functions
| SeqWriter (const std::string &sink_path, Format format=FASTA, bool append=false)
void | close ()
void | write (const std::string &name, const std::string &comment, const std::string &seq, const std::string &qual)

## Detailed Description

Write FASTA or FASTQ sequences to a file. Threadsafe.

The documentation for this class was generated from the following file:

- include/btllib/seq_writer.hpp